#pragma once
// SIStoragePropertyInternal is used to store values such as the element pitch 
// These values are then used to convert SIShadowPropertyInternal values into IntPropertyInternal
#include "NDTSEnums.h"
#include "PropertyInternal.h"
#include "SIPropertyInternal.h"
#include "SIUnitInternal.h"

namespace NDTS
{
	namespace SCO
	{
	class SCO_API SIStoragePropertyInternal :	public SIPropertyInternal
	{
	public:
		SIStoragePropertyInternal(char *pShortName, char *pLongName, int flags, SI::BaseUnit baseUnit, SI::Prefix prefix, double defaultValue, double min, double max);
		virtual ~SIStoragePropertyInternal(void);
		virtual double getSIValue();
		virtual void setSIValue(double value);
		virtual double getSIMin();
		virtual double getSIMax();

	private:
		double value;
		double defaultValue;
		double staticMin;
		double staticMax;
	};
}}
